<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$comm = mysql_fetch_array(mysql_query("SELECT * FROM `community_comm` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
if (isset($user) && $user['id'] == $comm['id_author'] ){
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4)){
$id=(int)abs((int)$_GET['id']);
include_once '../sys/inc/thead.php';
$set['title']= 'Редактировать сообщество'; // заголовок страницы

title();
aut();
if (isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['about']) && $_POST['name']!=NULL && $_POST['name']!=NULL)
{
$name = $_POST['name'];
$about = $_POST['about'];

if (strlen2($name)<2) {$err='Название сообщества слишком короткое';}
elseif (strlen2($name)>32) {$err='Название сообщества слишком длинное';}
elseif (strlen2($about)<2) {$err='Описание сообщества слишком короткое';}
elseif (strlen2($about)>300) {$err='Описание сообщества слишком длинное';}
else
{
$name = mysql_real_escape_string($name);
$about = mysql_real_escape_string($about);

mysql_query("UPDATE `community_comm` SET `name` = '$name' WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
mysql_query("UPDATE `community_comm` SET `about` = '$about' WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
header("Location: comm.php?id=$comm[id]&otredak_ok&".SID);
exit;
}
}


echo '<form method="post" action="?id='.$id.'">';
echo "<img src='/img/lj.gif' alt='' class='icon'/>\n";
echo ' <a href="upload.php?id='.$comm['id'].'">Загрузить логотип</a><br/>';
echo "Название сообщества:<br/><input type='text'  value='$comm[name]' name='name'/><br/>";
echo "Описание:<br/><input type='about'  value='$comm[about]' name='about' size='20' /><br/>";
echo '<input value="Сохранить" type="submit"/><br/>';
echo '</form>';

}}else{

include_once '../sys/inc/thead.php';
title();
aut();
echo'Вы не можете редактировать это сообщество!!!';
}
include_once '../sys/inc/tfoot.php';
?>